JEditActionContext (jEdit API Documentation)
Date: 2017-03-18

org.gjt.sp.jedit

## Class JEditActionContext<F extends JEditAbstractEditAction,E extends JEditActionSet<F>>

- java.lang.Object
- - org.gjt.sp.jedit.JEditActionContext<F,E>

- Direct Known Subclasses:
    ActionContext

      public abstract class JEditActionContext<F extends JEditAbstractEditAction,E extends JEditActionSet<F>>
      extends java.lang.Object

  Manages a collection of action sets. There are two instances of this class in jEdit:
  - `jEdit.getActionContext()` - editor actions
  - `VFSBrowser.getActionContext()` - browser actions
  Since:
    jEdit 4.3pre13

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JEditActionContext()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addActionSet(E actionSet)`
    `F` | `getAction(java.lang.String name)` Returns the specified action.
    `java.lang.String[]` | `getActionNames()`
    `E` | `getActionSetForAction(java.lang.String action)` Returns the action set that contains the specified action.
    `E[]` | `getActionSets()`
    `abstract void` | `invokeAction(java.util.EventObject evt, F action)` Invokes the given action in response to a user-generated event.
    `void` | `removeActionSet(E actionSet)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JEditActionContext

          public JEditActionContext()

  - ### Method Detail

    - #### invokeAction

          public abstract void invokeAction(java.util.EventObject evt,
                                            F action)

      Invokes the given action in response to a user-generated event.
      Parameters:
        `evt` - The event
        `action` - The action
      Since:
        jEdit 4.3pre13

    - #### addActionSet

          public void addActionSet(E actionSet)

      Parameters:
        `actionSet` - Adds a new action set to the context.
      Since:
        jEdit 4.3pre13

    - #### removeActionSet

          public void removeActionSet(E actionSet)

      Parameters:
        `actionSet` - Removes an action set from the context.
      Since:
        jEdit 4.23pre13

    - #### getActionSets

          public E[] getActionSets()

      Returns:
        all registered action sets.
      Since:
        jEdit 4.3pre13

    - #### getAction

          public F getAction(java.lang.String name)

      Returns the specified action.
      Parameters:
        `name` - The action name
      Returns:
        a JEditAbstractEditAction or null if it doesn't exist
      Since:
        jEdit 4.3pre13

    - #### getActionSetForAction

          public E getActionSetForAction(java.lang.String action)

      Returns the action set that contains the specified action.
      Parameters:
        `action` - The action
      Returns:
        the actionSet that contains the given action
      Since:
        jEdit 4.3pre13

    - #### getActionNames

          public java.lang.String[] getActionNames()

      Returns:
        all registered action names.